{: test that pred syntax error causes a compilation error }

program e1037( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1037 }

   e := black;
   n := 2;
   e := pred( e, 2 );    { OK }
   e := pred( e, 2, 0 ); { !!! extra arg }
   e := pred( e1, 2 );   { !!! bad id }
   e := pred( e; 2 );    { !!! need comma separator }
   writeln( 'succ error not detected' );
end. { e1037 }

